###################################################
### chunk number 1: Init
###################################################
#line 17 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
library("tm")
data("crude")


###################################################
### chunk number 2: Ovid
###################################################
#line 94 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
txt <- system.file("texts", "txt", package = "tm")
(ovid <- Corpus(DirSource(txt),
                readerControl = list(language = "lat")))


###################################################
### chunk number 3: VectorSource
###################################################
#line 102 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
docs <- c("This is a text.", "This another one.")
Corpus(VectorSource(docs))


###################################################
### chunk number 4: Reuters
###################################################
#line 109 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
reut21578 <- system.file("texts", "crude", package = "tm")
reuters <- Corpus(DirSource(reut21578),
                  readerControl = list(reader = readReut21578XML))


###################################################
### chunk number 5:  eval=FALSE
###################################################
## #line 120 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
## writeCorpus(ovid)


###################################################
### chunk number 6: 
###################################################
#line 132 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
inspect(ovid[1:2])


###################################################
### chunk number 7: 
###################################################
#line 137 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
identical(ovid[[2]], ovid[["ovid_2.txt"]])


###################################################
### chunk number 8: 
###################################################
#line 156 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
reuters <- tm_map(reuters, as.PlainTextDocument)


###################################################
### chunk number 9: 
###################################################
#line 165 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
reuters <- tm_map(reuters, stripWhitespace)


###################################################
### chunk number 10: 
###################################################
#line 171 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
reuters <- tm_map(reuters, tolower)


###################################################
### chunk number 11: Stopwords
###################################################
#line 184 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
reuters <- tm_map(reuters, removeWords, stopwords("english"))


###################################################
### chunk number 12: Stemming
###################################################
#line 190 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
tm_map(reuters, stemDocument)


###################################################
### chunk number 13: 
###################################################
#line 204 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
query <- "id == '237' & heading == 'INDONESIA SEEN AT CROSSROADS OVER ECONOMIC CHANGE'"
tm_filter(reuters, FUN = sFilter, query)


###################################################
### chunk number 14: 
###################################################
#line 211 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
tm_filter(reuters, pattern = "company")


###################################################
### chunk number 15: DublinCore
###################################################
#line 228 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
DublinCore(crude[[1]], "Creator") <- "Ano Nymous"
meta(crude[[1]])


###################################################
### chunk number 16: 
###################################################
#line 243 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
meta(crude, tag = "test", type = "corpus") <- "test meta"
meta(crude, type = "corpus")
meta(crude, "foo") <- letters[1:20]
meta(crude)


###################################################
### chunk number 17: 
###################################################
#line 264 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
dtm <- DocumentTermMatrix(reuters)
inspect(dtm[1:5,100:105])


###################################################
### chunk number 18: 
###################################################
#line 275 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
findFreqTerms(dtm, 5)


###################################################
### chunk number 19: 
###################################################
#line 281 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
findAssocs(dtm, "opec", 0.8)


###################################################
### chunk number 20: 
###################################################
#line 294 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
inspect(removeSparseTerms(dtm, 0.4))


###################################################
### chunk number 21: 
###################################################
#line 306 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
(d <- Dictionary(c("prices", "crude", "oil")))


###################################################
### chunk number 22: 
###################################################
#line 315 "d:/Rcompile/CRANpkg/local/2.12/tm/inst/doc/tm.Rnw"
inspect(DocumentTermMatrix(reuters, list(dictionary = d)))


